﻿using HardwareShopDataModels.Models;
using System.ComponentModel;
namespace HardwareShopContracts.ViewModels
{
    public class BuildViewModel : IBuildModel
    {
        public int Id { get; set; }

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("Название компонента")]
        public string BuildName { get; set; } = string.Empty;

        [DisplayName("Логин пользователя")]
        public string UserLogin { get; set; } = string.Empty;

        public int UserId { get; set; }

        public Dictionary<int, (IPurchaseModel, int)> BuildPurchases { get; set; } = new();

    }
}
